---
title: <style>
slug: Web/SVG/Element/style
tags:
  - Element
  - Reference
  - SVG
---
<div>{{SVGRef}}</div>

<p>The SVG <strong><code>&lt;style&gt;</code></strong> element allows style sheets to be embedded directly within SVG content.</p>

<p class="note">SVG's <code>style</code> element has the same attributes as the corresponding element in HTML (see HTML's {{HTMLElement("style")}} element).</p>

<div id="Exemple">
<div class="hidden">
<pre class="brush: css">html,body,svg { height:100%; margin: 0; padding: 0; }</pre>
</div>

<pre class="brush: html; highlight[4]">&lt;svg viewBox="0 0 10 10" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;style&gt;
    circle {
      fill: gold;
      stroke: maroon;
      stroke-width: 2px;
    }
  &lt;/style&gt;

  &lt;circle cx="5" cy="5" r="4" /&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample('Exemple', 150, '100%')}}</p>
</div>

<h2 id="Attributes">Attributes</h2>

<dl>
 <dt id="attr-cx">{{SVGAttr("type")}}</dt>
 <dd>This attribute defines type of the style sheet language to use as a media type string.<br>
 <small><em>Value type</em>: <a href="/docs/Web/SVG/Content_type#String"><strong>&lt;string&gt;</strong></a>; <em>Default value</em>: <code>text/css</code>; <em>Animatable</em>: <strong>no</strong></small></dd>
 <dt id="attr-cx">{{SVGAttr("media")}}</dt>
 <dd>This attribute defines to which {{cssxref('@media', 'media')}} the style applies.<br>
 <small><em>Value type</em>: <a href="/docs/Web/SVG/Content_type#String"><strong>&lt;string&gt;</strong></a>; <em>Default value</em>: <code>all</code>; <em>Animatable</em>: <strong>no</strong></small></dd>
 <dt id="attr-cx">{{SVGAttr("title")}}</dt>
 <dd>This attribute the title of the style sheet which can be used to switch between alternate style sheets.<br>
 <small><em>Value type</em>: <a href="/docs/Web/SVG/Content_type#String"><strong>&lt;string&gt;</strong></a>; <em>Default value</em>: <em>none</em>; <em>Animatable</em>: <strong>no</strong></small></dd>
</dl>

<h3 id="Global_attributes">Global attributes</h3>

<dl>
 <dt><a href="/docs/Web/SVG/Attribute/Core">Core Attributes</a></dt>
 <dd><small>Most notably: {{SVGAttr('id')}}</small></dd>
 <dt><a href="/docs/Web/SVG/Attribute/Styling">Styling Attributes</a></dt>
 <dd><small>{{SVGAttr('class')}}, {{SVGAttr('style')}}</small></dd>
 <dt>Event Attributes</dt>
 <dd><small><a href="/docs/Web/SVG/Attribute/Events#Global_Event_Attributes">Global event attributes</a>, <a href="/docs/Web/SVG/Attribute/Events#Document_Element_Event_Attributes">Document element event attributes</a></small></dd>
</dl>

<h2 id="Usage_notes">Usage notes</h2>

<p>{{svginfo}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG2", "styling.html#StyleElement", "&lt;style&gt;")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "styling.html#StyleElement", "&lt;style&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.style")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTMLElement("style", "&lt;style&gt; element in HTML")}}</li>
</ul>
